# $Revision: 1.42 $, $Date: 2012/05/13 20:11:54 $
# NOTE
# - the md5 is different in various wp backends, so invoke packages/fetchsrc_request
#   several times until distfiles catches the same one you downloaded.
Summary:	PHP-based software which blocks automated link spam
Summary(pl.UTF-8):	Oparte na PHP oprogramowanie blokujące spam z automatycznych odnośników
Name:		php-bad-behavior
Version:	2.0.47
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://downloads.wordpress.org/plugin/bad-behavior.%{version}.zip
# Source0-md5:	67d3731eb3868275f32bf83e1965a65c
URL:		http://www.bad-behavior.ioerror.us/
BuildRequires:	unzip
Requires:	php-common
Obsoletes:	bad-behavior
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{php_data_dir}/bad-behavior

%description
Bad Behavior is a set of PHP scripts which prevents spambots from
accessing your site by analyzing their actual HTTP requests and
comparing them to profiles from known spambots. It goes far beyond
User-Agent and Referer, however. Bad Behavior is available for several
PHP-based software packages, and also can be integrated in seconds
into any PHP script.

%description -l pl.UTF-8
Bad Behavior to zbiór skryptów PHP zapobiegający dostępowi spambotów
do strony poprzez analizę ich żądań HTTP i porównywanie z profilami
znanych spambotów. Wykracza znacząco poza User-Agent i Referer. Bad
Behavior jest dostępny dla kilku opartych na PHP pakietów, może być
także zintegrowany w krótkim czasie z dowolnym skryptem PHP.

%prep
# unpack in ascii mode
%define __unzip /usr/bin/unzip -a
%setup -qc
mv {,.}bad-behavior
mv .bad-behavior/* .
rm index.html bad-behavior/index.html

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a bad-behavior* $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{php_data_dir}/bad-behavior
%{php_data_dir}/bad-behavior-generic.php
%{php_data_dir}/bad-behavior-lifetype.php
%{php_data_dir}/bad-behavior-mediawiki.php
%{php_data_dir}/bad-behavior-wordpress-admin.php
%{php_data_dir}/bad-behavior-wordpress.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-bad-behavior.spec,v $
Revision 1.42  2012/05/13 20:11:54  glen
- up to 2.0.47

Revision 1.41  2010/02/14 12:28:28  glen
- 2.0.36

Revision 1.40  2009/12/15 19:11:54  glen
- fetchsrc_request note

Revision 1.39  2009/12/15 19:10:10  glen
- rename to php-bad-behavior
- removed extra subdir
- up to 2.0.34

Revision 1.38  2009/11/19 11:46:33  glen
- up to 2.0.33

Revision 1.37  2009/11/02 09:46:34  glen
- update to 2.0.32

Revision 1.36  2009/06/11 09:24:23  glen
- update to 2.0.28

Revision 1.35  2009/02/26 21:35:37  glen
- R: php

Revision 1.34  2009/02/02 11:05:46  glen
- 2.0.26

Revision 1.33  2008/09/25 09:10:05  glen
- 2.0.24

Revision 1.32  2008/08/24 19:23:00  glen
- md5

Revision 1.31  2008/08/24 19:21:21  glen
- md5 (looks like generated,  but somewhat cached zip upstream)

Revision 1.30  2008/08/24 19:18:12  glen
- update to 2.0.23

Revision 1.29  2008/08/06 14:10:33  glen
- md5

Revision 1.28  2008/08/06 13:03:47  glen
- md5

Revision 1.27  2008/08/06 11:34:45  glen
- 2.0.22

Revision 1.26  2008/08/05 09:43:25  glen
- update to 2.0.21

Revision 1.25  2008/07/14 16:07:20  qboosh
- removed extra nl

Revision 1.24  2008/07/13 20:08:31  glen
- 2.0.20, verbose files

Revision 1.23  2008/07/10 07:01:05  glen
- update to 2.0.18

Revision 1.22  2008/07/08 14:44:39  glen
- update to 2.0.17

Revision 1.21  2008-05-18 11:26:04  glen
- 2.0.16

Revision 1.20  2008-04-22 17:47:20  glen
- update to 2.0.15

Revision 1.19  2007-12-11 09:36:23  glen
- update to 2.0.11

Revision 1.18  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.16  2007/01/29 07:22:35  glen
- 2.0.10 - critical PHP 5.2 fix

Revision 1.15  2007/01/26 10:28:14  glen
- new url

Revision 1.14  2007/01/08 11:36:06  glen
- 2.0.9; last in 2.0 series

Revision 1.13  2006/12/15 13:03:07  glen
- 2.0.8

Revision 1.12  2006/12/01 21:52:53  darekr
- BR unzip

Revision 1.11  2006/11/06 10:53:58  glen
- 2.0.7

Revision 1.10  2006/09/18 15:03:06  glen
- 2.0.6: includes DNSBL checks

Revision 1.9  2006/09/18 15:01:39  glen
- use versioned builddir

Revision 1.8  2006/08/07 12:21:51  glen
- 2.0.5

Revision 1.7  2006/07/27 19:16:34  glen
- 2.0.4

Revision 1.6  2006/07/17 23:08:23  glen
- update url

Revision 1.5  2006/07/17 20:14:18  glen
- 2.0.2

Revision 1.4  2006/07/10 13:13:41  glen
- updated to 2.0.1

Revision 1.3  2006/07/10 13:00:01  glen
- add undefined syntax warning silence patch

Revision 1.2  2006/06/23 19:35:05  qboosh
- pl

Revision 1.1  2006/06/18 10:49:58  glen
- new; probably need some config hooks
